@import './variables';
@import './mixins';

body {
  margin: 0;
  padding: 0;
  background-color: #1a1a1a;
  line-height: 1.5;

  .cookies-widget {
    z-index: 1000;
  }
}

.backdrop {
  position: fixed;
  z-index: 100;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-color: #fff;
  background-color: rgba(0, 0, 0, .8);
  transition: opacity 0.3s ease;
}

.transparent-background {
  background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHdpZHRoPScyOCcgaGVpZ2h0PScyOCcgc3R5bGU9J2JhY2tncm91bmQ6I2ZmZic+PHBhdGggZD0nbTAgMGgxNHYxNEgwem0xNCAxNGgxNHYxNGgtMTR6JyBmaWxsPScjZjJmMmYyJyAvPjwvc3ZnPg==);
}

.paper-background {
  background: url('~static/vue-static/paper.jpg') repeat;
}

.spacer {
  flex: 1;
}

.no-select {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently supported by Chrome and Opera */
}

.selectable {
  -webkit-touch-callout: text; /* iOS Safari */
  -webkit-user-select: text; /* Safari */
  -khtml-user-select: text; /* Konqueror HTML */
  -moz-user-select: text; /* Firefox */
  -ms-user-select: text; /* Internet Explorer/Edge */
  user-select: text; /* Non-prefixed version, currently supported by Chrome and Opera */
}

.button {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: #000;
  font-size: 14px;
  padding: 7px 16px;
  border-radius: 10px;
  background-color: #fff;
  text-decoration: none;
  cursor: pointer;

  &.big {
    height: 42px;
    padding: 16px 0;
  }

  &.black {
    color: #fff;
    background-color: #313131;

    a {
      color: #fff;
      text-decoration: none;
    }

    &:hover {
      background-color: rgba(255, 255, 255, 0.07);
      @include delay();
    }
  }

  &.icon {
    width: 34px;
    height: 34px;
    border-radius: 26px;
    padding: 4px;
    background: none;
    border: none;
    box-shadow: none;
  }

  .icon {
    fill: #fff;
    display: flex;
    align-items: center;
    justify-content: center;

    svg {
      width: 21px;
    }
  }

  &.disabled {
    cursor: initial;

    .icon {
      fill: #8e8e8e;
    }

    &:hover {
      background: none;
    }
  }
}

svg {
  display: block;
  width: 100%;
  height: 100%;
}

.icon {
  /deep/ svg {
    display: block;
    width: 100%;
    height: 100%;
  }
}

.v-spacer {
  flex: 1;
}

select {
  -webkit-appearance: none;
  -webkit-border-radius: 0px;
  border-radius: 0;
}

.badge {
  height: 17px;
  min-width: 21px;
  border-radius: 100px;
  background-color: #fff;
  color: #1a1a1a;
  font-size: 11px;
  font-weight: 500;
  text-align: center;
  line-height: 15px;

  &.dark {
    background-color: #505050;
    color: #fff;
  }

  &.red {
    background-color: #FF3A3A;
    color: #fff;
  }
}

.preloader-items {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;

  .animated-background {
    background-color: #2c2c2c;
  }
}

.sub-menu {
  min-width: 150px;
  position: absolute;
  right: 0;
  top: 39px;
  background-color: #242424;
  border-radius: 8px;
  padding: 8px 0;
  overflow: hidden;
  transition: all 0.2s ease;
  font-size: 16px;
  z-index: 100;

  &-row {
    .link {
      display: flex;
      flex-direction: row;
      align-items: center;
      padding: 8px 16px;
      text-decoration: none;
    }

    a:visited {
      color: #fff;
    }

    &.active, &:hover {
      background-color: rgba(255, 255, 255, 0.1);
      @include delay();
      cursor: pointer;
    }
  }
}

.form-submit-button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 70px;
  padding: 24px;
  margin: 8px 0;
  border: 1px solid #cdcdcd;
  border-radius: 10px;
  font-size: 18px;
  position: relative;
  background: #4AC144;
  color: #fff;
  text-align: center;
  cursor: pointer;
}
input::-ms-clear {
  display: none;
}

.close-button {
  width: 30px;
  height: 30px;
  border-radius: 40px;
  position: absolute;
  top: 12px;
  right: 16px;
  color: #fff;
  font-size: 30px;
  line-height: 24px;
  text-align: center;
  padding: 9px;
  cursor: pointer;

  &:hover {
    background-color: rgba(255, 255, 255, 0.1);
    @include delay();
  }
}

.rotate-90 {
  svg {
    transform: rotate(90deg);
  }
}

.rotate-180 {
  svg {
    transform: rotate(180deg);
  }
}

.tooltip {
  height: 28px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 0 12px;
  position: absolute;
  top: -100%;
  z-index: 100;
  color: #fff;
  opacity: 0;
  background-color: #A0A0A0;
  border-radius: 100px;
  font-size: 13px;
  visibility: hidden;

  &.visible {
    opacity: 1;
    visibility: visible;
    transition: opacity 0.2s ease-out;
    transition-delay: 0.2s;
  }
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  } to {
      transform: rotate(360deg);
    }
}

.list-delete-button {
  width: 22px;
  height: 22px;
  position: absolute;
  z-index: 100;
  padding: 7px;
  background-color: #FF3A3A;
  border-radius: 50%;

  &:hover {
    background-color: #ff0000;
  }
}
